petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCMGSetDistinctSmoothUp

sets the up (post) smoother to be a seperate KSP from the down (pre) smoother on all levels and adds the suffix _up to the options name

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCMGSetDistinctSmoothUp(PC pc)

Logically Collective on PC

### Input Parameters

pc -the preconditioner context

### Options Database Key

-pc_mg_distinct_smoothup -

### Notes

this does not set a value on the coarsest grid, since we assume that there is no separate smooth up on the coarsest grid.

### See Also

PCMGSetNumberSmooth()

### Level

advanced

### Location

src/ksp/pc/impls/mg/mg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages